"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
async function getBranchName() {
    return new Promise((resolve) => {
        (0, child_process_1.exec)("git branch --show-current", (err, stdout) => {
            if (err) {
                console.warn(`There was an error getting your branch: ${err} \n`);
            }
            resolve(stdout.trim());
        });
    });
}
exports.default = getBranchName;
//# sourceMappingURL=get-branch-name-fn.js.map